.PHONY: all clean

DOT_FILES = $(shell find . -name "*.dot")
SVG_FILES = $(DOT_FILES:.dot=.svg)

all: $(SVG_FILES) ../tmp/CM2.html ../tmp/CM2_slides.html 
	cp *.svg *.png ../tmp

%.svg: %.dot
	dot -Tsvg -o $@ $<

../tmp/CM2.html: CM2.md ../tmp/before.html 
	pandoc --template ../www/template.html --css template.css --toc --toc-depth 1 --include-before ../tmp/before.html -s -o $@ $<

../tmp/CM2_slides.html: CM2.md ../tmp/before.html 
	pandoc --template ../www/template_slidy.html --toc-depth 1 -t slidy -s -o $@ $<

clean:
	rm -rf $(SVG_FILES)

